All Classes Namespaces Functions Variables Pages
Integrator Class Reference

An Integrator defines a method for simulating a System by integrating the equations of motion. More...

Inheritance diagram for Integrator:

## Public Member Functions

def | __init__
def | __del__
| del(OpenMM::Integrator self) More...
def | getStepSize
| getStepSize(Integrator self) -> double More...
def | setStepSize
| setStepSize(Integrator self, double size) More...
def | getConstraintTolerance
| getConstraintTolerance(Integrator self) -> double More...
def | setConstraintTolerance
| setConstraintTolerance(Integrator self, double tol) More...
def | step
| step(Integrator self, int steps) More...
def | __getstate__
def | __setstate__

## Public Attributes

| this

## Detailed Description

An Integrator defines a method for simulating a System by integrating the equations of motion.

This is an abstract class. Subclasses define particular integration methods.

Each Integrator object is bound to a particular Context which it integrates. This connection is specified by passing the Integrator as an argument to the constructor of the Context.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args,
|  |  | kwargs
| ) |  |

def __del__ | ( |  | self | ) |

del(OpenMM::Integrator self)

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def __getstate__ | ( |  | self | ) |

def __setstate__ | ( |  | self,
|  |  | serializationString
| ) |  |

def getConstraintTolerance | ( |  | self,
|  |  | args
| ) |  |

getConstraintTolerance(Integrator self) -> double

Get the distance tolerance within which constraints are maintained, as a fraction of the constrained distance.

References simtk.openmm.openmm.stripUnits().

def getStepSize | ( |  | self,
|  |  | args
| ) |  |

getStepSize(Integrator self) -> double

Get the size of each time step, in picoseconds. If this integrator uses variable time steps, the size of the most recent step is returned.

References simtk.openmm.openmm.stripUnits().

def setConstraintTolerance | ( |  | self,
|  |  | args
| ) |  |

setConstraintTolerance(Integrator self, double tol)

Set the distance tolerance within which constraints are maintained, as a fraction of the constrained distance.

References simtk.openmm.openmm.stripUnits().

def setStepSize | ( |  | self,
|  |  | args
| ) |  |

setStepSize(Integrator self, double size)

Set the size of each time step, in picoseconds. If this integrator uses variable time steps, the effect of calling this method is undefined, and it may simply be ignored.

Parameters

  size | the step size, measured in ps

References simtk.openmm.openmm.stripUnits().

def step | ( |  | self,
|  |  | args
| ) |  |

step(Integrator self, int steps)

Advance a simulation through time by taking a series of time steps.

Parameters

  steps | the number of time steps to take

References simtk.openmm.openmm.stripUnits().

## Member Data Documentation

this

Referenced by System.__init__().

The documentation for this class was generated from the following file:

- openmm.py